﻿body {
  font-family: "Open Sans", sans-serif;
  font-size: 16px;
  line-height: 1.42857;
  color: #1C1D4C;
  background-color: #fff;
}

header {
  display: flex;
  width: 100%;
  padding: 30px 0px;
  padding: 1rem 0px;
}
header .logo-img {
  float: left;
  width: 370px;
  height: 76px;
  margin-right: 15px;
}
header .main-link {
  color: #1C1D4C;
  font-weight: bold;
  font-size: 14px;
  vertical-align: middle;
  display: none;
}
@media (min-width: 576px) {
  header .main-link {
    display: inline-block;
    margin-top: 55px;
  }
}
@media (min-width: 768px) {
  header .logo-img {
    float: left;
    width: 475px;
    height: 95px;
  }
}
@media (min-width: 992px) {
  header .logo-img {
    float: left;
    width: 528px;
    height: 106px;
  }
}

.banner-image {
  display: none;
  height: 253px;
  background-image: url("../images/pilot-2.jpg");
  background-position: center center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: 4096px 1681px;
  background-origin: border-box;
}

@media (min-width: 768px) {
  .banner-image {
    display: block;
  }
}
.digitalidentitycontainer {
  margin-top: 30px;
  max-width: 430px;
  border: 2px solid #979797;
  background-color: #EEEEEE;
}
.digitalidentitycontainer .digitalidentitybutton {
  text-align: center;
}
.digitalidentitycontainer .digitalidentitybutton a {
  display: inline-block;
  border: none;
  text-decoration: none;
  font-size: 18px;
  color: #ffffff;
  background-color: #000;
  margin: 25px;
  padding: 12.5px 40px;
}
.digitalidentitycontainer .digitalidentitybutton a:hover,
.digitalidentitycontainer .digitalidentitybutton a:focus {
  background-color: #333;
  cursor: pointer !important;
  color: #ffffff !important;
}
.digitalidentitycontainer .digitalidentitybutton img {
  width: 40px;
  vertical-align: middle;
  padding-right: 7.5px;
}
.digitalidentitycontainer .digitalidentitycontent {
  text-align: center;
  background-color: #EEEEEE;
  border-top: 2px solid #979797;
}
.digitalidentitycontainer .digitalidentitycontent p {
  margin: 0;
  padding: 25px;
  color: #313131;
}
.digitalidentitycontainer .digitalidentitycontent a {
  color: #00698F;
}

#api {
  margin-bottom: 50px;
}

.signin-first-row {
  padding-top: 25px;
}

.signin-options-row {
  margin-bottom: 100px;
}

.heading, .heading-big, .input-label {
  font-family: "Arial Bold", "Arial", sans-serif;
  font-weight: bold;
  font-style: normal;
  font-size: 36px;
}

.heading-big {
  font-size: 48px;
}

.input-label {
  font-weight: 700;
  font-size: 24px;
}

@media (min-width: 992px) {
  .dig-id-col {
    max-width: 450px;
  }
}
.dig-id-col .dig-id {
  margin-top: 20px;
  border-bottom: 1px solid #8d8d8d;
  padding-bottom: 25px;
}
@media (min-width: 992px) {
  .dig-id-col .dig-id {
    border-bottom: none;
  }
}
.dig-id-col .dig-id .help-text {
  line-height: 1em;
}

.vert-line {
  border-right: 1px solid #737373;
  width: 1px;
  height: 100%;
}

.accent {
  font-family: "Arial", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 16px;
  color: #7F7F7F;
  text-align: left;
}

.main-container {
  min-height: 300px;
  background-color: #fff;
  padding-top: 20px;
}

#loading-modal {
  position: absolute;
  height: 100%;
  width: 100%;
  background: rgba(0, 0, 0, 0.5);
}
#loading-modal .content {
  position: absolute;
  min-width: 400px;
  text-align: center;
  background: #fff;
  border-radius: 5px;
  top: 150px;
  transform: translate(-50%, 0%);
  left: 50%;
  padding: 20px 50px;
}
#loading-modal .loading-message {
  font-size: 1.2em;
}
#loading-modal .loading-spinner {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
#loading-modal .loading-spinner div {
  position: absolute;
  border: 4px solid #144271;
  opacity: 1;
  border-radius: 50%;
  animation: loading-spinner 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
#loading-modal .loading-spinner div:nth-child(2) {
  animation-delay: -0.5s;
}
#loading-modal .working {
  position: relative;
}
#loading-modal .working .text {
  position: absolute;
  display: inline-block;
  min-width: 300px;
  margin-top: 25px;
}
@keyframes loading-spinner {
  0% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  4.9% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  5% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: 0px;
    left: 0px;
    width: 72px;
    height: 72px;
    opacity: 0;
  }
}

.footer {
  background: #144271;
  color: #FFF;
  padding-top: 30px;
  font-size: 18px;
  line-height: 24px;
}
.footer .ack-row {
  border-bottom: 1px solid #1C1D4C;
}
.footer .links-row {
  margin: 20px 0;
  text-align: center;
}
@media (min-width: 768px) {
  .footer .links-row {
    padding-left: 200px;
    text-align: left;
  }
}
.footer .links-row a:first-of-type {
  margin-left: 20px;
}
.footer .links-row a {
  color: inherit;
  text-decoration: none;
  margin: 0 5px;
}
.footer .ack-block-title {
  line-height: 30px;
  padding-top: 0px;
  padding-bottom: 0px;
  font-weight: bold;
  font-size: 18px;
  text-align: center;
  width: 100%;
}
.footer .ack-block-title p::before {
  content: url(../images/flags.png);
  display: block;
}
.footer .footer-container {
  min-width: 100%;
}
@media (min-width: 576px) {
  .footer .ack-block-text {
    margin-top: 0;
    text-align: center;
  }
}
@media (min-width: 768px) {
  .footer .footer-container {
    min-width: auto;
  }
  .footer .ack-block-title {
    width: 200px;
    padding-right: 20px;
    border-right: 1px solid #1C1D4C;
    margin-bottom: 20px;
  }
  .footer .ack-block-text {
    width: calc(100% - 200px);
  }
}
@media (min-width: 1200px) {
  .footer .footer-container {
    width: 1170px;
    margin: auto;
  }
}
.footer .footer-hero-text {
  text-align: center;
  opacity: 0.7;
  font-size: 1.8rem;
  font-weight: bold;
  font-style: italic;
  color: #fff;
  margin-top: 10px;
}
.footer .footer-bottom {
  background: #111335;
  padding: 1px 0;
  text-align: center;
  margin-left: -12px;
  font-size: 0.8em;
  margin-right: -12px;
}
.footer .footer-bottom p {
  margin-top: 12px;
}

#blazor-error-ui {
  background: lightyellow;
  bottom: 0;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

#blazor-error-ui .dismiss {
  cursor: pointer;
  position: absolute;
  right: 0.75rem;
  top: 0.5rem;
}

.blazor-error-boundary {
  background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
  padding: 1rem 1rem 1rem 3.7rem;
  color: white;
}

.blazor-error-boundary::after {
  content: "An error has occurred.";
}

/* hide spinners in number text boxes */
/* Chrome etc */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}
